package com.mvc.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StationAccExample {
    /**
     * station_acc
     */
    protected String orderByClause;

    /**
     * station_acc
     */
    protected boolean distinct;

    /**
     * station_acc
     */
    protected List<Criteria> oredCriteria;

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public StationAccExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-10-30 15:59:20
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2024-10-30 15:59:20
    */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationNameIsNull() {
            addCriterion("STATION_NAME is null");
            return (Criteria) this;
        }

        public Criteria andStationNameIsNotNull() {
            addCriterion("STATION_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andStationNameEqualTo(String value) {
            addCriterion("STATION_NAME =", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotEqualTo(String value) {
            addCriterion("STATION_NAME <>", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameGreaterThan(String value) {
            addCriterion("STATION_NAME >", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_NAME >=", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLessThan(String value) {
            addCriterion("STATION_NAME <", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLessThanOrEqualTo(String value) {
            addCriterion("STATION_NAME <=", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameLike(String value) {
            addCriterion("STATION_NAME like", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotLike(String value) {
            addCriterion("STATION_NAME not like", value, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameIn(List<String> values) {
            addCriterion("STATION_NAME in", values, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotIn(List<String> values) {
            addCriterion("STATION_NAME not in", values, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameBetween(String value1, String value2) {
            addCriterion("STATION_NAME between", value1, value2, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationNameNotBetween(String value1, String value2) {
            addCriterion("STATION_NAME not between", value1, value2, "stationName");
            return (Criteria) this;
        }

        public Criteria andStationPyIsNull() {
            addCriterion("STATION_PY is null");
            return (Criteria) this;
        }

        public Criteria andStationPyIsNotNull() {
            addCriterion("STATION_PY is not null");
            return (Criteria) this;
        }

        public Criteria andStationPyEqualTo(String value) {
            addCriterion("STATION_PY =", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyNotEqualTo(String value) {
            addCriterion("STATION_PY <>", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyGreaterThan(String value) {
            addCriterion("STATION_PY >", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_PY >=", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyLessThan(String value) {
            addCriterion("STATION_PY <", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyLessThanOrEqualTo(String value) {
            addCriterion("STATION_PY <=", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyLike(String value) {
            addCriterion("STATION_PY like", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyNotLike(String value) {
            addCriterion("STATION_PY not like", value, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyIn(List<String> values) {
            addCriterion("STATION_PY in", values, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyNotIn(List<String> values) {
            addCriterion("STATION_PY not in", values, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyBetween(String value1, String value2) {
            addCriterion("STATION_PY between", value1, value2, "stationPy");
            return (Criteria) this;
        }

        public Criteria andStationPyNotBetween(String value1, String value2) {
            addCriterion("STATION_PY not between", value1, value2, "stationPy");
            return (Criteria) this;
        }

        public Criteria andCustomerIdIsNull() {
            addCriterion("CUSTOMER_ID is null");
            return (Criteria) this;
        }

        public Criteria andCustomerIdIsNotNull() {
            addCriterion("CUSTOMER_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCustomerIdEqualTo(String value) {
            addCriterion("CUSTOMER_ID =", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdNotEqualTo(String value) {
            addCriterion("CUSTOMER_ID <>", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdGreaterThan(String value) {
            addCriterion("CUSTOMER_ID >", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdGreaterThanOrEqualTo(String value) {
            addCriterion("CUSTOMER_ID >=", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdLessThan(String value) {
            addCriterion("CUSTOMER_ID <", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdLessThanOrEqualTo(String value) {
            addCriterion("CUSTOMER_ID <=", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdLike(String value) {
            addCriterion("CUSTOMER_ID like", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdNotLike(String value) {
            addCriterion("CUSTOMER_ID not like", value, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdIn(List<String> values) {
            addCriterion("CUSTOMER_ID in", values, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdNotIn(List<String> values) {
            addCriterion("CUSTOMER_ID not in", values, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdBetween(String value1, String value2) {
            addCriterion("CUSTOMER_ID between", value1, value2, "customerId");
            return (Criteria) this;
        }

        public Criteria andCustomerIdNotBetween(String value1, String value2) {
            addCriterion("CUSTOMER_ID not between", value1, value2, "customerId");
            return (Criteria) this;
        }

        public Criteria andMeterIdIsNull() {
            addCriterion("METER_ID is null");
            return (Criteria) this;
        }

        public Criteria andMeterIdIsNotNull() {
            addCriterion("METER_ID is not null");
            return (Criteria) this;
        }

        public Criteria andMeterIdEqualTo(String value) {
            addCriterion("METER_ID =", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdNotEqualTo(String value) {
            addCriterion("METER_ID <>", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdGreaterThan(String value) {
            addCriterion("METER_ID >", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdGreaterThanOrEqualTo(String value) {
            addCriterion("METER_ID >=", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdLessThan(String value) {
            addCriterion("METER_ID <", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdLessThanOrEqualTo(String value) {
            addCriterion("METER_ID <=", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdLike(String value) {
            addCriterion("METER_ID like", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdNotLike(String value) {
            addCriterion("METER_ID not like", value, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdIn(List<String> values) {
            addCriterion("METER_ID in", values, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdNotIn(List<String> values) {
            addCriterion("METER_ID not in", values, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdBetween(String value1, String value2) {
            addCriterion("METER_ID between", value1, value2, "meterId");
            return (Criteria) this;
        }

        public Criteria andMeterIdNotBetween(String value1, String value2) {
            addCriterion("METER_ID not between", value1, value2, "meterId");
            return (Criteria) this;
        }

        public Criteria andGroupCodeIsNull() {
            addCriterion("GROUP_CODE is null");
            return (Criteria) this;
        }

        public Criteria andGroupCodeIsNotNull() {
            addCriterion("GROUP_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andGroupCodeEqualTo(String value) {
            addCriterion("GROUP_CODE =", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeNotEqualTo(String value) {
            addCriterion("GROUP_CODE <>", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeGreaterThan(String value) {
            addCriterion("GROUP_CODE >", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeGreaterThanOrEqualTo(String value) {
            addCriterion("GROUP_CODE >=", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeLessThan(String value) {
            addCriterion("GROUP_CODE <", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeLessThanOrEqualTo(String value) {
            addCriterion("GROUP_CODE <=", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeLike(String value) {
            addCriterion("GROUP_CODE like", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeNotLike(String value) {
            addCriterion("GROUP_CODE not like", value, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeIn(List<String> values) {
            addCriterion("GROUP_CODE in", values, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeNotIn(List<String> values) {
            addCriterion("GROUP_CODE not in", values, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeBetween(String value1, String value2) {
            addCriterion("GROUP_CODE between", value1, value2, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupCodeNotBetween(String value1, String value2) {
            addCriterion("GROUP_CODE not between", value1, value2, "groupCode");
            return (Criteria) this;
        }

        public Criteria andGroupNameIsNull() {
            addCriterion("GROUP_NAME is null");
            return (Criteria) this;
        }

        public Criteria andGroupNameIsNotNull() {
            addCriterion("GROUP_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andGroupNameEqualTo(String value) {
            addCriterion("GROUP_NAME =", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameNotEqualTo(String value) {
            addCriterion("GROUP_NAME <>", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameGreaterThan(String value) {
            addCriterion("GROUP_NAME >", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameGreaterThanOrEqualTo(String value) {
            addCriterion("GROUP_NAME >=", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameLessThan(String value) {
            addCriterion("GROUP_NAME <", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameLessThanOrEqualTo(String value) {
            addCriterion("GROUP_NAME <=", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameLike(String value) {
            addCriterion("GROUP_NAME like", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameNotLike(String value) {
            addCriterion("GROUP_NAME not like", value, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameIn(List<String> values) {
            addCriterion("GROUP_NAME in", values, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameNotIn(List<String> values) {
            addCriterion("GROUP_NAME not in", values, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameBetween(String value1, String value2) {
            addCriterion("GROUP_NAME between", value1, value2, "groupName");
            return (Criteria) this;
        }

        public Criteria andGroupNameNotBetween(String value1, String value2) {
            addCriterion("GROUP_NAME not between", value1, value2, "groupName");
            return (Criteria) this;
        }

        public Criteria andSetupIdIsNull() {
            addCriterion("SETUP_ID is null");
            return (Criteria) this;
        }

        public Criteria andSetupIdIsNotNull() {
            addCriterion("SETUP_ID is not null");
            return (Criteria) this;
        }

        public Criteria andSetupIdEqualTo(String value) {
            addCriterion("SETUP_ID =", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotEqualTo(String value) {
            addCriterion("SETUP_ID <>", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdGreaterThan(String value) {
            addCriterion("SETUP_ID >", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdGreaterThanOrEqualTo(String value) {
            addCriterion("SETUP_ID >=", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdLessThan(String value) {
            addCriterion("SETUP_ID <", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdLessThanOrEqualTo(String value) {
            addCriterion("SETUP_ID <=", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdLike(String value) {
            addCriterion("SETUP_ID like", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotLike(String value) {
            addCriterion("SETUP_ID not like", value, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdIn(List<String> values) {
            addCriterion("SETUP_ID in", values, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotIn(List<String> values) {
            addCriterion("SETUP_ID not in", values, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdBetween(String value1, String value2) {
            addCriterion("SETUP_ID between", value1, value2, "setupId");
            return (Criteria) this;
        }

        public Criteria andSetupIdNotBetween(String value1, String value2) {
            addCriterion("SETUP_ID not between", value1, value2, "setupId");
            return (Criteria) this;
        }

        public Criteria andStationLonIsNull() {
            addCriterion("STATION_LON is null");
            return (Criteria) this;
        }

        public Criteria andStationLonIsNotNull() {
            addCriterion("STATION_LON is not null");
            return (Criteria) this;
        }

        public Criteria andStationLonEqualTo(BigDecimal value) {
            addCriterion("STATION_LON =", value, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonNotEqualTo(BigDecimal value) {
            addCriterion("STATION_LON <>", value, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonGreaterThan(BigDecimal value) {
            addCriterion("STATION_LON >", value, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("STATION_LON >=", value, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonLessThan(BigDecimal value) {
            addCriterion("STATION_LON <", value, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonLessThanOrEqualTo(BigDecimal value) {
            addCriterion("STATION_LON <=", value, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonIn(List<BigDecimal> values) {
            addCriterion("STATION_LON in", values, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonNotIn(List<BigDecimal> values) {
            addCriterion("STATION_LON not in", values, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("STATION_LON between", value1, value2, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLonNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("STATION_LON not between", value1, value2, "stationLon");
            return (Criteria) this;
        }

        public Criteria andStationLatIsNull() {
            addCriterion("STATION_LAT is null");
            return (Criteria) this;
        }

        public Criteria andStationLatIsNotNull() {
            addCriterion("STATION_LAT is not null");
            return (Criteria) this;
        }

        public Criteria andStationLatEqualTo(BigDecimal value) {
            addCriterion("STATION_LAT =", value, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatNotEqualTo(BigDecimal value) {
            addCriterion("STATION_LAT <>", value, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatGreaterThan(BigDecimal value) {
            addCriterion("STATION_LAT >", value, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("STATION_LAT >=", value, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatLessThan(BigDecimal value) {
            addCriterion("STATION_LAT <", value, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatLessThanOrEqualTo(BigDecimal value) {
            addCriterion("STATION_LAT <=", value, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatIn(List<BigDecimal> values) {
            addCriterion("STATION_LAT in", values, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatNotIn(List<BigDecimal> values) {
            addCriterion("STATION_LAT not in", values, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("STATION_LAT between", value1, value2, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationLatNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("STATION_LAT not between", value1, value2, "stationLat");
            return (Criteria) this;
        }

        public Criteria andStationContactsIsNull() {
            addCriterion("STATION_CONTACTS is null");
            return (Criteria) this;
        }

        public Criteria andStationContactsIsNotNull() {
            addCriterion("STATION_CONTACTS is not null");
            return (Criteria) this;
        }

        public Criteria andStationContactsEqualTo(String value) {
            addCriterion("STATION_CONTACTS =", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsNotEqualTo(String value) {
            addCriterion("STATION_CONTACTS <>", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsGreaterThan(String value) {
            addCriterion("STATION_CONTACTS >", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CONTACTS >=", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsLessThan(String value) {
            addCriterion("STATION_CONTACTS <", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsLessThanOrEqualTo(String value) {
            addCriterion("STATION_CONTACTS <=", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsLike(String value) {
            addCriterion("STATION_CONTACTS like", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsNotLike(String value) {
            addCriterion("STATION_CONTACTS not like", value, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsIn(List<String> values) {
            addCriterion("STATION_CONTACTS in", values, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsNotIn(List<String> values) {
            addCriterion("STATION_CONTACTS not in", values, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsBetween(String value1, String value2) {
            addCriterion("STATION_CONTACTS between", value1, value2, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andStationContactsNotBetween(String value1, String value2) {
            addCriterion("STATION_CONTACTS not between", value1, value2, "stationContacts");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagIsNull() {
            addCriterion("DEVICE_SETUP_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagIsNotNull() {
            addCriterion("DEVICE_SETUP_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagEqualTo(String value) {
            addCriterion("DEVICE_SETUP_FLAG =", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagNotEqualTo(String value) {
            addCriterion("DEVICE_SETUP_FLAG <>", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagGreaterThan(String value) {
            addCriterion("DEVICE_SETUP_FLAG >", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SETUP_FLAG >=", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagLessThan(String value) {
            addCriterion("DEVICE_SETUP_FLAG <", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SETUP_FLAG <=", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagLike(String value) {
            addCriterion("DEVICE_SETUP_FLAG like", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagNotLike(String value) {
            addCriterion("DEVICE_SETUP_FLAG not like", value, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagIn(List<String> values) {
            addCriterion("DEVICE_SETUP_FLAG in", values, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagNotIn(List<String> values) {
            addCriterion("DEVICE_SETUP_FLAG not in", values, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagBetween(String value1, String value2) {
            addCriterion("DEVICE_SETUP_FLAG between", value1, value2, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupFlagNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SETUP_FLAG not between", value1, value2, "deviceSetupFlag");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateIsNull() {
            addCriterion("DEVICE_SETUP_DATE is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateIsNotNull() {
            addCriterion("DEVICE_SETUP_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateEqualTo(Date value) {
            addCriterion("DEVICE_SETUP_DATE =", value, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateNotEqualTo(Date value) {
            addCriterion("DEVICE_SETUP_DATE <>", value, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateGreaterThan(Date value) {
            addCriterion("DEVICE_SETUP_DATE >", value, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateGreaterThanOrEqualTo(Date value) {
            addCriterion("DEVICE_SETUP_DATE >=", value, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateLessThan(Date value) {
            addCriterion("DEVICE_SETUP_DATE <", value, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateLessThanOrEqualTo(Date value) {
            addCriterion("DEVICE_SETUP_DATE <=", value, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateIn(List<Date> values) {
            addCriterion("DEVICE_SETUP_DATE in", values, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateNotIn(List<Date> values) {
            addCriterion("DEVICE_SETUP_DATE not in", values, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateBetween(Date value1, Date value2) {
            addCriterion("DEVICE_SETUP_DATE between", value1, value2, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupDateNotBetween(Date value1, Date value2) {
            addCriterion("DEVICE_SETUP_DATE not between", value1, value2, "deviceSetupDate");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManIsNull() {
            addCriterion("DEVICE_SETUP_MAN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManIsNotNull() {
            addCriterion("DEVICE_SETUP_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManEqualTo(String value) {
            addCriterion("DEVICE_SETUP_MAN =", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManNotEqualTo(String value) {
            addCriterion("DEVICE_SETUP_MAN <>", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManGreaterThan(String value) {
            addCriterion("DEVICE_SETUP_MAN >", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SETUP_MAN >=", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManLessThan(String value) {
            addCriterion("DEVICE_SETUP_MAN <", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SETUP_MAN <=", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManLike(String value) {
            addCriterion("DEVICE_SETUP_MAN like", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManNotLike(String value) {
            addCriterion("DEVICE_SETUP_MAN not like", value, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManIn(List<String> values) {
            addCriterion("DEVICE_SETUP_MAN in", values, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManNotIn(List<String> values) {
            addCriterion("DEVICE_SETUP_MAN not in", values, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManBetween(String value1, String value2) {
            addCriterion("DEVICE_SETUP_MAN between", value1, value2, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSetupManNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SETUP_MAN not between", value1, value2, "deviceSetupMan");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andWmIdIsNull() {
            addCriterion("WM_ID is null");
            return (Criteria) this;
        }

        public Criteria andWmIdIsNotNull() {
            addCriterion("WM_ID is not null");
            return (Criteria) this;
        }

        public Criteria andWmIdEqualTo(String value) {
            addCriterion("WM_ID =", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotEqualTo(String value) {
            addCriterion("WM_ID <>", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdGreaterThan(String value) {
            addCriterion("WM_ID >", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdGreaterThanOrEqualTo(String value) {
            addCriterion("WM_ID >=", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdLessThan(String value) {
            addCriterion("WM_ID <", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdLessThanOrEqualTo(String value) {
            addCriterion("WM_ID <=", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdLike(String value) {
            addCriterion("WM_ID like", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotLike(String value) {
            addCriterion("WM_ID not like", value, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdIn(List<String> values) {
            addCriterion("WM_ID in", values, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotIn(List<String> values) {
            addCriterion("WM_ID not in", values, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdBetween(String value1, String value2) {
            addCriterion("WM_ID between", value1, value2, "wmId");
            return (Criteria) this;
        }

        public Criteria andWmIdNotBetween(String value1, String value2) {
            addCriterion("WM_ID not between", value1, value2, "wmId");
            return (Criteria) this;
        }

        public Criteria andMemoIsNull() {
            addCriterion("MEMO is null");
            return (Criteria) this;
        }

        public Criteria andMemoIsNotNull() {
            addCriterion("MEMO is not null");
            return (Criteria) this;
        }

        public Criteria andMemoEqualTo(String value) {
            addCriterion("MEMO =", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotEqualTo(String value) {
            addCriterion("MEMO <>", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoGreaterThan(String value) {
            addCriterion("MEMO >", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoGreaterThanOrEqualTo(String value) {
            addCriterion("MEMO >=", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLessThan(String value) {
            addCriterion("MEMO <", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLessThanOrEqualTo(String value) {
            addCriterion("MEMO <=", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLike(String value) {
            addCriterion("MEMO like", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotLike(String value) {
            addCriterion("MEMO not like", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoIn(List<String> values) {
            addCriterion("MEMO in", values, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotIn(List<String> values) {
            addCriterion("MEMO not in", values, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoBetween(String value1, String value2) {
            addCriterion("MEMO between", value1, value2, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotBetween(String value1, String value2) {
            addCriterion("MEMO not between", value1, value2, "memo");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNull() {
            addCriterion("USE_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNotNull() {
            addCriterion("USE_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andUseFlagEqualTo(String value) {
            addCriterion("USE_FLAG =", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotEqualTo(String value) {
            addCriterion("USE_FLAG <>", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThan(String value) {
            addCriterion("USE_FLAG >", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThanOrEqualTo(String value) {
            addCriterion("USE_FLAG >=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThan(String value) {
            addCriterion("USE_FLAG <", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThanOrEqualTo(String value) {
            addCriterion("USE_FLAG <=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLike(String value) {
            addCriterion("USE_FLAG like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotLike(String value) {
            addCriterion("USE_FLAG not like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagIn(List<String> values) {
            addCriterion("USE_FLAG in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotIn(List<String> values) {
            addCriterion("USE_FLAG not in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagBetween(String value1, String value2) {
            addCriterion("USE_FLAG between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotBetween(String value1, String value2) {
            addCriterion("USE_FLAG not between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNull() {
            addCriterion("UNIT_CODE is null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNotNull() {
            addCriterion("UNIT_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeEqualTo(String value) {
            addCriterion("UNIT_CODE =", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotEqualTo(String value) {
            addCriterion("UNIT_CODE <>", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThan(String value) {
            addCriterion("UNIT_CODE >", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE >=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThan(String value) {
            addCriterion("UNIT_CODE <", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE <=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLike(String value) {
            addCriterion("UNIT_CODE like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotLike(String value) {
            addCriterion("UNIT_CODE not like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIn(List<String> values) {
            addCriterion("UNIT_CODE in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotIn(List<String> values) {
            addCriterion("UNIT_CODE not in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeBetween(String value1, String value2) {
            addCriterion("UNIT_CODE between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotBetween(String value1, String value2) {
            addCriterion("UNIT_CODE not between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesIsNull() {
            addCriterion("VIS_UNIT_CODES is null");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesIsNotNull() {
            addCriterion("VIS_UNIT_CODES is not null");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesEqualTo(String value) {
            addCriterion("VIS_UNIT_CODES =", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesNotEqualTo(String value) {
            addCriterion("VIS_UNIT_CODES <>", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesGreaterThan(String value) {
            addCriterion("VIS_UNIT_CODES >", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesGreaterThanOrEqualTo(String value) {
            addCriterion("VIS_UNIT_CODES >=", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesLessThan(String value) {
            addCriterion("VIS_UNIT_CODES <", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesLessThanOrEqualTo(String value) {
            addCriterion("VIS_UNIT_CODES <=", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesLike(String value) {
            addCriterion("VIS_UNIT_CODES like", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesNotLike(String value) {
            addCriterion("VIS_UNIT_CODES not like", value, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesIn(List<String> values) {
            addCriterion("VIS_UNIT_CODES in", values, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesNotIn(List<String> values) {
            addCriterion("VIS_UNIT_CODES not in", values, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesBetween(String value1, String value2) {
            addCriterion("VIS_UNIT_CODES between", value1, value2, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andVisUnitCodesNotBetween(String value1, String value2) {
            addCriterion("VIS_UNIT_CODES not between", value1, value2, "visUnitCodes");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeIsNull() {
            addCriterion("CREATE_UNIT_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeIsNotNull() {
            addCriterion("CREATE_UNIT_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE =", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE <>", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeGreaterThan(String value) {
            addCriterion("CREATE_UNIT_CODE >", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE >=", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeLessThan(String value) {
            addCriterion("CREATE_UNIT_CODE <", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE <=", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeLike(String value) {
            addCriterion("CREATE_UNIT_CODE like", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotLike(String value) {
            addCriterion("CREATE_UNIT_CODE not like", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeIn(List<String> values) {
            addCriterion("CREATE_UNIT_CODE in", values, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotIn(List<String> values) {
            addCriterion("CREATE_UNIT_CODE not in", values, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeBetween(String value1, String value2) {
            addCriterion("CREATE_UNIT_CODE between", value1, value2, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotBetween(String value1, String value2) {
            addCriterion("CREATE_UNIT_CODE not between", value1, value2, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andReviewFlagIsNull() {
            addCriterion("REVIEW_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andReviewFlagIsNotNull() {
            addCriterion("REVIEW_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andReviewFlagEqualTo(String value) {
            addCriterion("REVIEW_FLAG =", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotEqualTo(String value) {
            addCriterion("REVIEW_FLAG <>", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagGreaterThan(String value) {
            addCriterion("REVIEW_FLAG >", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagGreaterThanOrEqualTo(String value) {
            addCriterion("REVIEW_FLAG >=", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagLessThan(String value) {
            addCriterion("REVIEW_FLAG <", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagLessThanOrEqualTo(String value) {
            addCriterion("REVIEW_FLAG <=", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagLike(String value) {
            addCriterion("REVIEW_FLAG like", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotLike(String value) {
            addCriterion("REVIEW_FLAG not like", value, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagIn(List<String> values) {
            addCriterion("REVIEW_FLAG in", values, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotIn(List<String> values) {
            addCriterion("REVIEW_FLAG not in", values, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagBetween(String value1, String value2) {
            addCriterion("REVIEW_FLAG between", value1, value2, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andReviewFlagNotBetween(String value1, String value2) {
            addCriterion("REVIEW_FLAG not between", value1, value2, "reviewFlag");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleIsNull() {
            addCriterion("METER_FONT_STYLE is null");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleIsNotNull() {
            addCriterion("METER_FONT_STYLE is not null");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleEqualTo(String value) {
            addCriterion("METER_FONT_STYLE =", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleNotEqualTo(String value) {
            addCriterion("METER_FONT_STYLE <>", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleGreaterThan(String value) {
            addCriterion("METER_FONT_STYLE >", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleGreaterThanOrEqualTo(String value) {
            addCriterion("METER_FONT_STYLE >=", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleLessThan(String value) {
            addCriterion("METER_FONT_STYLE <", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleLessThanOrEqualTo(String value) {
            addCriterion("METER_FONT_STYLE <=", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleLike(String value) {
            addCriterion("METER_FONT_STYLE like", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleNotLike(String value) {
            addCriterion("METER_FONT_STYLE not like", value, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleIn(List<String> values) {
            addCriterion("METER_FONT_STYLE in", values, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleNotIn(List<String> values) {
            addCriterion("METER_FONT_STYLE not in", values, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleBetween(String value1, String value2) {
            addCriterion("METER_FONT_STYLE between", value1, value2, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andMeterFontStyleNotBetween(String value1, String value2) {
            addCriterion("METER_FONT_STYLE not between", value1, value2, "meterFontStyle");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIsNull() {
            addCriterion("DEVICE_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIsNotNull() {
            addCriterion("DEVICE_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeEqualTo(String value) {
            addCriterion("DEVICE_TYPE =", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotEqualTo(String value) {
            addCriterion("DEVICE_TYPE <>", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeGreaterThan(String value) {
            addCriterion("DEVICE_TYPE >", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_TYPE >=", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLessThan(String value) {
            addCriterion("DEVICE_TYPE <", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_TYPE <=", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLike(String value) {
            addCriterion("DEVICE_TYPE like", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotLike(String value) {
            addCriterion("DEVICE_TYPE not like", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIn(List<String> values) {
            addCriterion("DEVICE_TYPE in", values, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotIn(List<String> values) {
            addCriterion("DEVICE_TYPE not in", values, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeBetween(String value1, String value2) {
            addCriterion("DEVICE_TYPE between", value1, value2, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotBetween(String value1, String value2) {
            addCriterion("DEVICE_TYPE not between", value1, value2, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitIsNull() {
            addCriterion("DEVICE_UNIT is null");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitIsNotNull() {
            addCriterion("DEVICE_UNIT is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitEqualTo(Integer value) {
            addCriterion("DEVICE_UNIT =", value, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitNotEqualTo(Integer value) {
            addCriterion("DEVICE_UNIT <>", value, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitGreaterThan(Integer value) {
            addCriterion("DEVICE_UNIT >", value, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitGreaterThanOrEqualTo(Integer value) {
            addCriterion("DEVICE_UNIT >=", value, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitLessThan(Integer value) {
            addCriterion("DEVICE_UNIT <", value, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitLessThanOrEqualTo(Integer value) {
            addCriterion("DEVICE_UNIT <=", value, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitIn(List<Integer> values) {
            addCriterion("DEVICE_UNIT in", values, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitNotIn(List<Integer> values) {
            addCriterion("DEVICE_UNIT not in", values, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitBetween(Integer value1, Integer value2) {
            addCriterion("DEVICE_UNIT between", value1, value2, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andDeviceUnitNotBetween(Integer value1, Integer value2) {
            addCriterion("DEVICE_UNIT not between", value1, value2, "deviceUnit");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldIsNull() {
            addCriterion("STATION_CODE_OLD is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldIsNotNull() {
            addCriterion("STATION_CODE_OLD is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldEqualTo(String value) {
            addCriterion("STATION_CODE_OLD =", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldNotEqualTo(String value) {
            addCriterion("STATION_CODE_OLD <>", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldGreaterThan(String value) {
            addCriterion("STATION_CODE_OLD >", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE_OLD >=", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldLessThan(String value) {
            addCriterion("STATION_CODE_OLD <", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE_OLD <=", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldLike(String value) {
            addCriterion("STATION_CODE_OLD like", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldNotLike(String value) {
            addCriterion("STATION_CODE_OLD not like", value, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldIn(List<String> values) {
            addCriterion("STATION_CODE_OLD in", values, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldNotIn(List<String> values) {
            addCriterion("STATION_CODE_OLD not in", values, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldBetween(String value1, String value2) {
            addCriterion("STATION_CODE_OLD between", value1, value2, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andStationCodeOldNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE_OLD not between", value1, value2, "stationCodeOld");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsIsNull() {
            addCriterion("IOT_CARD_REMAINGPRS is null");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsIsNotNull() {
            addCriterion("IOT_CARD_REMAINGPRS is not null");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsEqualTo(BigDecimal value) {
            addCriterion("IOT_CARD_REMAINGPRS =", value, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsNotEqualTo(BigDecimal value) {
            addCriterion("IOT_CARD_REMAINGPRS <>", value, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsGreaterThan(BigDecimal value) {
            addCriterion("IOT_CARD_REMAINGPRS >", value, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("IOT_CARD_REMAINGPRS >=", value, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsLessThan(BigDecimal value) {
            addCriterion("IOT_CARD_REMAINGPRS <", value, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("IOT_CARD_REMAINGPRS <=", value, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsIn(List<BigDecimal> values) {
            addCriterion("IOT_CARD_REMAINGPRS in", values, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsNotIn(List<BigDecimal> values) {
            addCriterion("IOT_CARD_REMAINGPRS not in", values, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("IOT_CARD_REMAINGPRS between", value1, value2, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardRemaingprsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("IOT_CARD_REMAINGPRS not between", value1, value2, "iotCardRemaingprs");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateIsNull() {
            addCriterion("IOT_CARD_DUEDATE is null");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateIsNotNull() {
            addCriterion("IOT_CARD_DUEDATE is not null");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateEqualTo(String value) {
            addCriterion("IOT_CARD_DUEDATE =", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateNotEqualTo(String value) {
            addCriterion("IOT_CARD_DUEDATE <>", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateGreaterThan(String value) {
            addCriterion("IOT_CARD_DUEDATE >", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateGreaterThanOrEqualTo(String value) {
            addCriterion("IOT_CARD_DUEDATE >=", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateLessThan(String value) {
            addCriterion("IOT_CARD_DUEDATE <", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateLessThanOrEqualTo(String value) {
            addCriterion("IOT_CARD_DUEDATE <=", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateLike(String value) {
            addCriterion("IOT_CARD_DUEDATE like", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateNotLike(String value) {
            addCriterion("IOT_CARD_DUEDATE not like", value, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateIn(List<String> values) {
            addCriterion("IOT_CARD_DUEDATE in", values, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateNotIn(List<String> values) {
            addCriterion("IOT_CARD_DUEDATE not in", values, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateBetween(String value1, String value2) {
            addCriterion("IOT_CARD_DUEDATE between", value1, value2, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardDuedateNotBetween(String value1, String value2) {
            addCriterion("IOT_CARD_DUEDATE not between", value1, value2, "iotCardDuedate");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionIsNull() {
            addCriterion("IOT_CARD_WORKINGCONDITION is null");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionIsNotNull() {
            addCriterion("IOT_CARD_WORKINGCONDITION is not null");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionEqualTo(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION =", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionNotEqualTo(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION <>", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionGreaterThan(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION >", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionGreaterThanOrEqualTo(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION >=", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionLessThan(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION <", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionLessThanOrEqualTo(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION <=", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionLike(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION like", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionNotLike(String value) {
            addCriterion("IOT_CARD_WORKINGCONDITION not like", value, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionIn(List<String> values) {
            addCriterion("IOT_CARD_WORKINGCONDITION in", values, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionNotIn(List<String> values) {
            addCriterion("IOT_CARD_WORKINGCONDITION not in", values, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionBetween(String value1, String value2) {
            addCriterion("IOT_CARD_WORKINGCONDITION between", value1, value2, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andIotCardWorkingconditionNotBetween(String value1, String value2) {
            addCriterion("IOT_CARD_WORKINGCONDITION not between", value1, value2, "iotCardWorkingcondition");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeIsNull() {
            addCriterion("USER_DEFINED_CODE is null");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeIsNotNull() {
            addCriterion("USER_DEFINED_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeEqualTo(String value) {
            addCriterion("USER_DEFINED_CODE =", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeNotEqualTo(String value) {
            addCriterion("USER_DEFINED_CODE <>", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeGreaterThan(String value) {
            addCriterion("USER_DEFINED_CODE >", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeGreaterThanOrEqualTo(String value) {
            addCriterion("USER_DEFINED_CODE >=", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeLessThan(String value) {
            addCriterion("USER_DEFINED_CODE <", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeLessThanOrEqualTo(String value) {
            addCriterion("USER_DEFINED_CODE <=", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeLike(String value) {
            addCriterion("USER_DEFINED_CODE like", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeNotLike(String value) {
            addCriterion("USER_DEFINED_CODE not like", value, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeIn(List<String> values) {
            addCriterion("USER_DEFINED_CODE in", values, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeNotIn(List<String> values) {
            addCriterion("USER_DEFINED_CODE not in", values, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeBetween(String value1, String value2) {
            addCriterion("USER_DEFINED_CODE between", value1, value2, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andUserDefinedCodeNotBetween(String value1, String value2) {
            addCriterion("USER_DEFINED_CODE not between", value1, value2, "userDefinedCode");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeIsNull() {
            addCriterion("REVIEW_TIME_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeIsNotNull() {
            addCriterion("REVIEW_TIME_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeEqualTo(String value) {
            addCriterion("REVIEW_TIME_TYPE =", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeNotEqualTo(String value) {
            addCriterion("REVIEW_TIME_TYPE <>", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeGreaterThan(String value) {
            addCriterion("REVIEW_TIME_TYPE >", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeGreaterThanOrEqualTo(String value) {
            addCriterion("REVIEW_TIME_TYPE >=", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeLessThan(String value) {
            addCriterion("REVIEW_TIME_TYPE <", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeLessThanOrEqualTo(String value) {
            addCriterion("REVIEW_TIME_TYPE <=", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeLike(String value) {
            addCriterion("REVIEW_TIME_TYPE like", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeNotLike(String value) {
            addCriterion("REVIEW_TIME_TYPE not like", value, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeIn(List<String> values) {
            addCriterion("REVIEW_TIME_TYPE in", values, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeNotIn(List<String> values) {
            addCriterion("REVIEW_TIME_TYPE not in", values, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeBetween(String value1, String value2) {
            addCriterion("REVIEW_TIME_TYPE between", value1, value2, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andReviewTimeTypeNotBetween(String value1, String value2) {
            addCriterion("REVIEW_TIME_TYPE not between", value1, value2, "reviewTimeType");
            return (Criteria) this;
        }

        public Criteria andStationFullNameIsNull() {
            addCriterion("STATION_FULL_NAME is null");
            return (Criteria) this;
        }

        public Criteria andStationFullNameIsNotNull() {
            addCriterion("STATION_FULL_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andStationFullNameEqualTo(String value) {
            addCriterion("STATION_FULL_NAME =", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameNotEqualTo(String value) {
            addCriterion("STATION_FULL_NAME <>", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameGreaterThan(String value) {
            addCriterion("STATION_FULL_NAME >", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_FULL_NAME >=", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameLessThan(String value) {
            addCriterion("STATION_FULL_NAME <", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameLessThanOrEqualTo(String value) {
            addCriterion("STATION_FULL_NAME <=", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameLike(String value) {
            addCriterion("STATION_FULL_NAME like", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameNotLike(String value) {
            addCriterion("STATION_FULL_NAME not like", value, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameIn(List<String> values) {
            addCriterion("STATION_FULL_NAME in", values, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameNotIn(List<String> values) {
            addCriterion("STATION_FULL_NAME not in", values, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameBetween(String value1, String value2) {
            addCriterion("STATION_FULL_NAME between", value1, value2, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andStationFullNameNotBetween(String value1, String value2) {
            addCriterion("STATION_FULL_NAME not between", value1, value2, "stationFullName");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdIsNull() {
            addCriterion("UNIT_STRUCTURE_ID is null");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdIsNotNull() {
            addCriterion("UNIT_STRUCTURE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdEqualTo(Integer value) {
            addCriterion("UNIT_STRUCTURE_ID =", value, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdNotEqualTo(Integer value) {
            addCriterion("UNIT_STRUCTURE_ID <>", value, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdGreaterThan(Integer value) {
            addCriterion("UNIT_STRUCTURE_ID >", value, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("UNIT_STRUCTURE_ID >=", value, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdLessThan(Integer value) {
            addCriterion("UNIT_STRUCTURE_ID <", value, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdLessThanOrEqualTo(Integer value) {
            addCriterion("UNIT_STRUCTURE_ID <=", value, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdIn(List<Integer> values) {
            addCriterion("UNIT_STRUCTURE_ID in", values, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdNotIn(List<Integer> values) {
            addCriterion("UNIT_STRUCTURE_ID not in", values, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdBetween(Integer value1, Integer value2) {
            addCriterion("UNIT_STRUCTURE_ID between", value1, value2, "unitStructureId");
            return (Criteria) this;
        }

        public Criteria andUnitStructureIdNotBetween(Integer value1, Integer value2) {
            addCriterion("UNIT_STRUCTURE_ID not between", value1, value2, "unitStructureId");
            return (Criteria) this;
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2024-10-30 15:59:20
    */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2024-10-30 15:59:20
    */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}